Skip to main content

RowFilter

Shared request and response schema. Request: Nested row-filter group accepted in a request. Conditions are combined with and or or. Response: Nested row-filter group returned by the API. Conditions are combined with and or or.

kindKind (string)

Possible values: [and, or]

Default value: and
conditions object[]

Nested conditions (leaf RowFilterCondition or group RowFilter)

  • Array [
  • anyOf
    kindKind (string)
    Constant value: condition
    Default value: condition
    columnColumn (string)required

    Column name to filter on

    operatorRowFilterOperator (string)required

    Allowed Row Filter Operator values. Values: eq, ne, gt, gte, lt, lte, in, not_in, and 4 more.

    Possible values: [eq, ne, gt, gte, lt, lte, in, not_in, between, like, is_null, is_not_null]

    value object

    Filter value. Single value for scalar operators, list for 'in'/'not_in', 2-element list for 'between'. Omit for 'is_null'/'is_not_null'.

    anyOf
  • ]
  • RowFilter
    {
    "kind": "and",
    "conditions": [
    {
    "kind": "condition",
    "column": "string",
    "operator": "eq"
    },
    null
    ]
    }